Package: libdevmapper1.02
Version: 2:1.02.08-1
Severity: minor
Tags: patch

Hi,

the attached patch changes the libdevmapper1.02 init.d script(s) to use lsb
logging functions.

Regards,
David
diff -ur ./devmapper-1.02.08.orig/debian/control 
./devmapper-1.02.08/debian/control
--- ./devmapper-1.02.08.orig/debian/control     2006-08-27 20:53:26.000000000 
+0200
+++ ./devmapper-1.02.08/debian/control  2006-08-27 20:56:07.000000000 +0200
@@ -25,7 +25,7 @@
 Section: libs
 Priority: required
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
 Provides: libdevmapper
 Description: The Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
diff -ur ./devmapper-1.02.08.orig/debian/libdevmapper1.02.init 
./devmapper-1.02.08/debian/libdevmapper1.02.init
--- ./devmapper-1.02.08.orig/debian/libdevmapper1.02.init       2006-08-27 
20:53:26.000000000 +0200
+++ ./devmapper-1.02.08/debian/libdevmapper1.02.init    2006-08-27 
20:55:17.000000000 +0200
@@ -4,21 +4,22 @@
 NAME=libdevmapper1.02
 
 set -e
+. /lib/lsb/init-functions
 
 case "$1" in
   start)
-       echo -n "Loading device-mapper support"
+       log_action_begin_msg "Loading device-mapper support"
        modprobe dm-mod 2> /dev/null || true
        modprobe dm-mirror 2> /dev/null || true
        modprobe dm-snapshot 2> /dev/null || true
-       echo "."
+       log_action_end_msg 0
        ;;
   stop|restart|force-reload)
        ;;
   *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|restart|force-reload}" >&2
-       exit 1
+       exit 2
        ;;
 esac
 

Reply via email to